Comme annoncé, ce forum est passé en lecture seule au 1er janvier 2020. Désormais nous vous invitons à vous rendre sur notre nouvelle page communauté :
Image

A très bientôt !

[Plugin Tiers][Sujet Principal] Parrot Plants

Pour échanger sur les plugins classés en catégorie "Nature"
Anonyme
Actif
Messages : 10082
Inscription : 09 août 2014, 12:15

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par Anonyme » 04 avr. 2016, 14:33

Contenu supprimé à la demande de son auteur

stravinsky
Timide
Messages : 169
Inscription : 22 août 2014, 10:49

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par stravinsky » 04 avr. 2016, 17:10

inclusion OK pour moi avec la MAJ d'aujourd'hui !

merci ;)

sbafs
Timide
Messages : 195
Inscription : 27 févr. 2015, 11:03
Localisation : Annecy

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par sbafs » 04 avr. 2016, 17:11

Hello,

la maj de dépendance me revois des erreurs de npm :

Code : Tout sélectionner

Début de l'installation
Reading package lists...
Building dependency tree...
Reading state information...
bluez is already the newest version.
bluetooth is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 218 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
libbluetooth-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 218 not upgraded.
Version actuelle : v5.6.0
Ok, version suffisante
npm ERR! Linux 3.13.0-49-generic
npm ERR! argv "/usr/bin/nodejs" "/usr/bin/npm" "cache" "clean"
npm ERR! node v5.6.0
npm ERR! npm  v3.6.0
npm ERR! path /var/www/.npm
npm ERR! code EACCES
npm ERR! errno -13
npm ERR! syscall rmdir

npm ERR! Error: EACCES: permission denied, rmdir '/var/www/.npm'
npm ERR!     at Error (native)
npm ERR!  { [Error: EACCES: permission denied, rmdir '/var/www/.npm']
npm ERR!   errno: -13,
npm ERR!   code: 'EACCES',
npm ERR!   syscall: 'rmdir',
npm ERR!   path: '/var/www/.npm' }
npm ERR! 
npm ERR! Please try running this command again as root/Administrator.

npm ERR! Please include the following file with any support request:
npm ERR!     /usr/share/nginx/www/jeedom/plugins/flowerpowerbt/node/npm-debug.log

> usb@1.1.2 install /usr/share/nginx/www/jeedom/plugins/flowerpowerbt/node/node_modules/usb
> node-pre-gyp install --fallback-to-build
make: Entering directory `/usr/share/nginx/www/jeedom/plugins/flowerpowerbt/node/node_modules/usb/build'
  CC(target) Release/obj.target/libusb/libusb/libusb/core.o
  CC(target) Release/obj.target/libusb/libusb/libusb/descriptor.o
  CC(target) Release/obj.target/libusb/libusb/libusb/hotplug.o
  CC(target) Release/obj.target/libusb/libusb/libusb/io.o
  CC(target) Release/obj.target/libusb/libusb/libusb/strerror.o
  CC(target) Release/obj.target/libusb/libusb/libusb/sync.o
  CC(target) Release/obj.target/libusb/libusb/libusb/os/poll_posix.o
  CC(target) Release/obj.target/libusb/libusb/libusb/os/threads_posix.o
  CC(target) Release/obj.target/libusb/libusb/libusb/os/linux_usbfs.o
  CC(target) Release/obj.target/libusb/libusb/libusb/os/linux_udev.o
  AR(target) Release/obj.target/usb.a
  COPY Release/usb.a
  CXX(target) Release/obj.target/usb_bindings/src/node_usb.o
  CXX(target) Release/obj.target/usb_bindings/src/device.o
  CXX(target) Release/obj.target/usb_bindings/src/transfer.o
  SOLINK_MODULE(target) Release/obj.target/usb_bindings.node
  COPY Release/usb_bindings.node
  COPY /usr/share/nginx/www/jeedom/plugins/flowerpowerbt/node/node_modules/usb/src/binding/usb_bindings.node
  TOUCH Release/obj.target/action_after_build.stamp
make: Leaving directory `/usr/share/nginx/www/jeedom/plugins/flowerpowerbt/node/node_modules/usb/build'

> bluetooth-hci-socket@0.4.3 install /usr/share/nginx/www/jeedom/plugins/flowerpowerbt/node/node_modules/bluetooth-hci-socket
> node-gyp rebuild
make: Entering directory `/usr/share/nginx/www/jeedom/plugins/flowerpowerbt/node/node_modules/bluetooth-hci-socket/build'
  CXX(target) Release/obj.target/binding/src/BluetoothHciSocket.o
  SOLINK_MODULE(target) Release/obj.target/binding.node
  COPY Release/binding.node
make: Leaving directory `/usr/share/nginx/www/jeedom/plugins/flowerpowerbt/node/node_modules/bluetooth-hci-socket/build'
node-flower-bridge@1.8.6 /usr/share/nginx/www/jeedom/plugins/flowerpowerbt/node
+-- async@1.5.2 
+-- cli-color@1.1.0 
| +-- ansi-regex@2.0.0 
| +-- d@0.1.1 
| +-- es5-ext@0.10.11 
| | `-- es6-symbol@3.0.2 
| +-- es6-iterator@2.0.0 
| +-- memoizee@0.3.9 
| | +-- es6-weak-map@0.1.4 
| | | +-- es6-iterator@0.1.3 
| | | `-- es6-symbol@2.0.1 
| | +-- event-emitter@0.3.4 
| | +-- lru-queue@0.1.0 
| | `-- next-tick@0.2.2 
| `-- timers-ext@0.1.0 
+-- figures@1.5.0 
+-- flower-power-api@1.4.2 
| +-- node-schedule@0.6.0 
| | +-- cron-parser@0.6.2 
| | `-- long-timeout@0.0.2 
| `-- request@2.69.0 
|   +-- aws-sign2@0.6.0 
|   +-- aws4@1.3.2 
|   | `-- lru-cache@4.0.1 
|   |   +-- pseudomap@1.0.2 
|   |   `-- yallist@2.0.0 
|   +-- bl@1.0.3 
|   | `-- readable-stream@2.0.6 
|   |   +-- core-util-is@1.0.2 
|   |   +-- inherits@2.0.1 
|   |   +-- isarray@1.0.0 
|   |   +-- process-nextick-args@1.0.6 
|   |   +-- string_decoder@0.10.31 
|   |   `-- util-deprecate@1.0.2 
|   +-- caseless@0.11.0 
|   +-- combined-stream@1.0.5 
|   | `-- delayed-stream@1.0.0 
|   +-- extend@3.0.0 
|   +-- forever-agent@0.6.1 
|   +-- form-data@1.0.0-rc4 
|   +-- har-validator@2.0.6 
|   | +-- chalk@1.1.3 
|   | | +-- ansi-styles@2.2.1 
|   | | +-- escape-string-regexp@1.0.5 
|   | | +-- has-ansi@2.0.0 
|   | | +-- strip-ansi@3.0.1 
|   | | `-- supports-color@2.0.0 
|   | +-- commander@2.9.0 
|   | | `-- graceful-readlink@1.0.1 
|   | +-- is-my-json-valid@2.13.1 
|   | | +-- generate-function@2.0.0 
|   | | +-- generate-object-property@1.2.0 
|   | | | `-- is-property@1.0.2 
|   | | +-- jsonpointer@2.0.0 
|   | | `-- xtend@4.0.1 
|   | `-- pinkie-promise@2.0.0 
|   |   `-- pinkie@2.0.4 
|   +-- hawk@3.1.3 
|   | +-- boom@2.10.1 
|   | +-- cryptiles@2.0.5 
|   | +-- hoek@2.16.3 
|   | `-- sntp@1.0.9 
|   +-- http-signature@1.1.1 
|   | +-- assert-plus@0.2.0 
|   | +-- jsprim@1.2.2 
|   | | +-- extsprintf@1.0.2 
|   | | +-- json-schema@0.2.2 
|   | | `-- verror@1.3.6 
|   | `-- sshpk@1.7.4 
|   |   +-- asn1@0.2.3 
|   |   +-- dashdash@1.13.0 
|   |   | `-- assert-plus@1.0.0 
|   |   +-- ecc-jsbn@0.1.1 
|   |   +-- jodid25519@1.0.2 
|   |   +-- jsbn@0.1.0 
|   |   `-- tweetnacl@0.14.3 
|   +-- is-typedarray@1.0.0 
|   +-- isstream@0.1.2 
|   +-- json-stringify-safe@5.0.1 
|   +-- mime-types@2.1.10 
|   | `-- mime-db@1.22.0 
|   +-- node-uuid@1.4.7 
|   +-- oauth-sign@0.8.1 
|   +-- qs@6.0.2 
|   +-- stringstream@0.0.5 
|   +-- tough-cookie@2.2.2 
|   `-- tunnel-agent@0.4.2 
+-- flower-power-ble@0.5.0 
| +-- buffer-equal@1.0.0 
| `-- noble-device@1.3.0 
|   `-- noble@1.3.0 
|     +-- bluetooth-hci-socket@0.4.3 
|     | +-- nan@2.2.1 
|     | `-- usb@1.1.2 
|     |   `-- node-pre-gyp@0.6.24 
|     |     +-- mkdirp@0.5.1 
|     |     | `-- minimist@0.0.8 
|     |     +-- nopt@3.0.6 
|     |     | `-- abbrev@1.0.7 
|     |     +-- npmlog@2.0.3 
|     |     | +-- ansi@0.3.1 
|     |     | +-- are-we-there-yet@1.1.2 
|     |     | | +-- delegates@1.0.0 
|     |     | | `-- readable-stream@2.0.6 
|     |     | |   +-- core-util-is@1.0.2 
|     |     | |   +-- inherits@2.0.1 
|     |     | |   +-- isarray@1.0.0 
|     |     | |   +-- process-nextick-args@1.0.6 
|     |     | |   +-- string_decoder@0.10.31 
|     |     | |   `-- util-deprecate@1.0.2 
|     |     | `-- gauge@1.2.7 
|     |     |   +-- has-unicode@2.0.0 
|     |     |   +-- lodash.pad@4.1.0 
|     |     |   | +-- lodash.repeat@4.0.0 
|     |     |   | `-- lodash.tostring@4.1.2 
|     |     |   +-- lodash.padend@4.2.0 
|     |     |   | +-- lodash.repeat@4.0.0 
|     |     |   | `-- lodash.tostring@4.1.2 
|     |     |   `-- lodash.padstart@4.2.0 
|     |     |     +-- lodash.repeat@4.0.0 
|     |     |     `-- lodash.tostring@4.1.2 
|     |     +-- rc@1.1.6 
|     |     | +-- deep-extend@0.4.1 
|     |     | +-- ini@1.3.4 
|     |     | +-- minimist@1.2.0 
|     |     | `-- strip-json-comments@1.0.4 
|     |     +-- request@2.69.0 
|     |     | +-- aws-sign2@0.6.0 
|     |     | +-- aws4@1.3.2 
|     |     | | `-- lru-cache@4.0.0 
|     |     | |   +-- pseudomap@1.0.2 
|     |     | |   `-- yallist@2.0.0 
|     |     | +-- bl@1.0.3 
|     |     | | `-- readable-stream@2.0.6 
|     |     | |   +-- core-util-is@1.0.2 
|     |     | |   +-- inherits@2.0.1 
|     |     | |   +-- isarray@1.0.0 
|     |     | |   +-- process-nextick-args@1.0.6 
|     |     | |   +-- string_decoder@0.10.31 
|     |     | |   `-- util-deprecate@1.0.2 
|     |     | +-- caseless@0.11.0 
|     |     | +-- combined-stream@1.0.5 
|     |     | | `-- delayed-stream@1.0.0 
|     |     | +-- extend@3.0.0 
|     |     | +-- forever-agent@0.6.1 
|     |     | +-- form-data@1.0.0-rc4 
|     |     | | `-- async@1.5.2 
|     |     | +-- har-validator@2.0.6 
|     |     | | +-- chalk@1.1.1 
|     |     | | | +-- ansi-styles@2.2.0 
|     |     | | | | `-- color-convert@1.0.0 
|     |     | | | +-- escape-string-regexp@1.0.5 
|     |     | | | +-- has-ansi@2.0.0 
|     |     | | | | `-- ansi-regex@2.0.0 
|     |     | | | +-- strip-ansi@3.0.1 
|     |     | | | | `-- ansi-regex@2.0.0 
|     |     | | | `-- supports-color@2.0.0 
|     |     | | +-- commander@2.9.0 
|     |     | | | `-- graceful-readlink@1.0.1 
|     |     | | +-- is-my-json-valid@2.13.1 
|     |     | | | +-- generate-function@2.0.0 
|     |     | | | +-- generate-object-property@1.2.0 
|     |     | | | | `-- is-property@1.0.2 
|     |     | | | +-- jsonpointer@2.0.0 
|     |     | | | `-- xtend@4.0.1 
|     |     | | `-- pinkie-promise@2.0.0 
|     |     | |   `-- pinkie@2.0.4 
|     |     | +-- hawk@3.1.3 
|     |     | | +-- boom@2.10.1 
|     |     | | +-- cryptiles@2.0.5 
|     |     | | +-- hoek@2.16.3 
|     |     | | `-- sntp@1.0.9 
|     |     | +-- http-signature@1.1.1 
|     |     | | +-- assert-plus@0.2.0 
|     |     | | +-- jsprim@1.2.2 
|     |     | | | +-- extsprintf@1.0.2 
|     |     | | | +-- json-schema@0.2.2 
|     |     | | | `-- verror@1.3.6 
|     |     | | `-- sshpk@1.7.4 
|     |     | |   +-- asn1@0.2.3 
|     |     | |   +-- dashdash@1.13.0 
|     |     | |   | `-- assert-plus@1.0.0 
|     |     | |   +-- ecc-jsbn@0.1.1 
|     |     | |   +-- jodid25519@1.0.2 
|     |     | |   +-- jsbn@0.1.0 
|     |     | |   `-- tweetnacl@0.14.1 
|     |     | +-- is-typedarray@1.0.0 
|     |     | +-- isstream@0.1.2 
|     |     | +-- json-stringify-safe@5.0.1 
|     |     | +-- mime-types@2.1.10 
|     |     | | `-- mime-db@1.22.0 
|     |     | +-- node-uuid@1.4.7 
|     |     | +-- oauth-sign@0.8.1 
|     |     | +-- qs@6.0.2 
|     |     | +-- stringstream@0.0.5 
|     |     | +-- tough-cookie@2.2.2 
|     |     | `-- tunnel-agent@0.4.2 
|     |     +-- rimraf@2.5.2 
|     |     | `-- glob@7.0.3 
|     |     |   +-- inflight@1.0.4 
|     |     |   | `-- wrappy@1.0.1 
|     |     |   +-- inherits@2.0.1 
|     |     |   +-- minimatch@3.0.0 
|     |     |   | `-- brace-expansion@1.1.3 
|     |     |   |   +-- balanced-match@0.3.0 
|     |     |   |   `-- concat-map@0.0.1 
|     |     |   +-- once@1.3.3 
|     |     |   | `-- wrappy@1.0.1 
|     |     |   `-- path-is-absolute@1.0.0 
|     |     +-- semver@5.1.0 
|     |     +-- tar@2.2.1 
|     |     | +-- block-stream@0.0.8 
|     |     | +-- fstream@1.0.8 
|     |     | | `-- graceful-fs@4.1.3 
|     |     | `-- inherits@2.0.1 
|     |     `-- tar-pack@3.1.3 
|     |       +-- debug@2.2.0 
|     |       | `-- ms@0.7.1 
|     |       +-- fstream@1.0.8 
|     |       | +-- graceful-fs@4.1.3 
|     |       | `-- inherits@2.0.1 
|     |       +-- fstream-ignore@1.0.3 
|     |       | +-- inherits@2.0.1 
|     |       | `-- minimatch@3.0.0 
|     |       |   `-- brace-expansion@1.1.3 
|     |       |     +-- balanced-match@0.3.0 
|     |       |     `-- concat-map@0.0.1 
|     |       +-- once@1.3.3 
|     |       | `-- wrappy@1.0.1 
|     |       +-- readable-stream@2.0.6 
|     |       | +-- core-util-is@1.0.2 
|     |       | +-- inherits@2.0.1 
|     |       | +-- isarray@1.0.0 
|     |       | +-- process-nextick-args@1.0.6 
|     |       | +-- string_decoder@0.10.31 
|     |       | `-- util-deprecate@1.0.2 
|     |       `-- uid-number@0.0.6 
|     +-- bplist-parser@0.0.6 
|     `-- debug@2.2.0 
|       `-- ms@0.7.1 
`-- nedb@1.8.0 
  +-- async@0.2.10 
  +-- binary-search-tree@0.2.5 
  +-- localforage@1.4.0 
  | `-- promise@5.0.0 
  |   `-- asap@1.0.0 
  +-- mkdirp@0.5.1 
  | `-- minimist@0.0.8 
  `-- underscore@1.4.4 

npm WARN optional Skipping failed optional dependency /noble/xpc-connection:
npm WARN notsup Not compatible with your operating system or architecture: xpc-connection@0.1.4
Fin de l'installation
Par contre le démon démarre bien mais j'ai "error:timeout" à la place des valeurs !

kouaw
Actif
Messages : 5933
Inscription : 25 janv. 2015, 22:15
Localisation : Belgium
Contact :

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par kouaw » 04 avr. 2016, 17:24

En ssh :
sudo wget http://gamers-city.eu/jeedom/webapp
sudo chmod +x webapp
sudo ./webapp nginx
sudo reboot et relance dépendance

Envoyé via mon smartphone, si la réponse est trop courte, fonction recherche ;)

sbafs
Timide
Messages : 195
Inscription : 27 févr. 2015, 11:03
Localisation : Annecy

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par sbafs » 04 avr. 2016, 17:26

la classe ! ça c'est du rapide ! Merci kouaw

kouaw
Actif
Messages : 5933
Inscription : 25 janv. 2015, 22:15
Localisation : Belgium
Contact :

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par kouaw » 04 avr. 2016, 17:27

Ou de la réécriture de support ;)

Envoyé via mon smartphone, si la réponse est trop courte, fonction recherche ;)

sbafs
Timide
Messages : 195
Inscription : 27 févr. 2015, 11:03
Localisation : Annecy

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par sbafs » 04 avr. 2016, 18:38

J'ai l'impression que la commande : sudo ./webapp nginx ne fonctionne pas !

Code : Tout sélectionner

jeedom@Jeedom:~$ sudo chmod +x webapp
jeedom@Jeedom:~$ ls
homebridge  install.sh  webapp  webapp.1
jeedom@Jeedom:~$ sudo ./webapp nginx

Ign http://fr.archive.ubuntu.com trusty InRelease
Atteint http://fr.archive.ubuntu.com trusty-updates InRelease
Atteint http://fr.archive.ubuntu.com trusty-backports InRelease
Réception de : 1 http://security.ubuntu.com trusty-security InRelease [65,9 kB]
Atteint http://fr.archive.ubuntu.com trusty Release.gpg
Atteint http://fr.archive.ubuntu.com trusty-updates/main Sources
Atteint http://fr.archive.ubuntu.com trusty-updates/restricted Sources
Atteint http://fr.archive.ubuntu.com trusty-updates/universe Sources
Atteint http://fr.archive.ubuntu.com trusty-updates/multiverse Sources
Atteint http://fr.archive.ubuntu.com trusty-updates/main amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty-updates/restricted amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty-updates/universe amd64 Packages
Réception de : 2 http://security.ubuntu.com trusty-security/main Sources [110 kB]
Atteint http://fr.archive.ubuntu.com trusty-updates/multiverse amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty-updates/main i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-updates/restricted i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-updates/universe i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-updates/multiverse i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-updates/main Translation-en
Réception de : 3 http://security.ubuntu.com trusty-security/restricted Sources [4 035 B]
Atteint http://fr.archive.ubuntu.com trusty-updates/multiverse Translation-en
Réception de : 4 http://security.ubuntu.com trusty-security/universe Sources [35,2 kB]
Atteint http://fr.archive.ubuntu.com trusty-updates/restricted Translation-en
Atteint http://fr.archive.ubuntu.com trusty-updates/universe Translation-en
Réception de : 5 http://security.ubuntu.com trusty-security/multiverse Sources [2 750 B]
Atteint http://fr.archive.ubuntu.com trusty Release
Atteint http://fr.archive.ubuntu.com trusty-backports/main Sources
Atteint http://fr.archive.ubuntu.com trusty-backports/restricted Sources
Réception de : 6 http://security.ubuntu.com trusty-security/main amd64 Packages [449 kB]
Atteint http://fr.archive.ubuntu.com trusty-backports/universe Sources
Atteint http://fr.archive.ubuntu.com trusty-backports/multiverse Sources
Atteint http://fr.archive.ubuntu.com trusty-backports/main amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/restricted amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/universe amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/multiverse amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/main i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/restricted i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/universe i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/multiverse i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/main Translation-en
Atteint http://fr.archive.ubuntu.com trusty-backports/multiverse Translation-en
Réception de : 7 http://security.ubuntu.com trusty-security/restricted amd64 Packages [13,0 kB]
Atteint http://fr.archive.ubuntu.com trusty-backports/restricted Translation-en
Réception de : 8 http://security.ubuntu.com trusty-security/universe amd64 Packages [126 kB]
Atteint http://fr.archive.ubuntu.com trusty-backports/universe Translation-en
Atteint http://fr.archive.ubuntu.com trusty/main Sources
Atteint http://fr.archive.ubuntu.com trusty/restricted Sources
Atteint http://fr.archive.ubuntu.com trusty/universe Sources
Atteint http://fr.archive.ubuntu.com trusty/multiverse Sources
Réception de : 9 http://security.ubuntu.com trusty-security/multiverse amd64 Packages [4 991 B]
Atteint http://fr.archive.ubuntu.com trusty/main amd64 Packages
Atteint https://deb.nodesource.com trusty InRelease
Atteint http://fr.archive.ubuntu.com trusty/restricted amd64 Packages
Réception de : 10 http://security.ubuntu.com trusty-security/main i386 Packages [423 kB]
Atteint http://fr.archive.ubuntu.com trusty/universe amd64 Packages
Atteint https://deb.nodesource.com trusty/main Sources
Atteint http://fr.archive.ubuntu.com trusty/multiverse amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty/main i386 Packages
Atteint http://fr.archive.ubuntu.com trusty/restricted i386 Packages
Atteint http://fr.archive.ubuntu.com trusty/universe i386 Packages
Atteint http://fr.archive.ubuntu.com trusty/multiverse i386 Packages
Atteint https://deb.nodesource.com trusty/main amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty/main Translation-fr
Atteint http://fr.archive.ubuntu.com trusty/main Translation-en
Réception de : 11 http://security.ubuntu.com trusty-security/restricted i386 Packages [12,7 kB]
Atteint https://deb.nodesource.com trusty/main i386 Packages
Atteint http://fr.archive.ubuntu.com trusty/multiverse Translation-fr
Réception de : 12 http://security.ubuntu.com trusty-security/universe i386 Packages [126 kB]
Atteint http://fr.archive.ubuntu.com trusty/multiverse Translation-en
Réception de : 13 https://deb.nodesource.com trusty/main Translation-fr_FR
Atteint http://fr.archive.ubuntu.com trusty/restricted Translation-fr
Réception de : 14 http://security.ubuntu.com trusty-security/multiverse i386 Packages [5 175 B]
Atteint http://fr.archive.ubuntu.com trusty/restricted Translation-en
Atteint http://fr.archive.ubuntu.com trusty/universe Translation-fr
Atteint http://security.ubuntu.com trusty-security/main Translation-en
Atteint http://fr.archive.ubuntu.com trusty/universe Translation-en
Atteint http://security.ubuntu.com trusty-security/multiverse Translation-en
Atteint http://security.ubuntu.com trusty-security/restricted Translation-en
Atteint http://security.ubuntu.com trusty-security/universe Translation-en
Ign http://fr.archive.ubuntu.com trusty/main Translation-fr_FR
Ign http://fr.archive.ubuntu.com trusty/multiverse Translation-fr_FR
Ign http://fr.archive.ubuntu.com trusty/restricted Translation-fr_FR
Ign http://fr.archive.ubuntu.com trusty/universe Translation-fr_FR
Ign https://deb.nodesource.com trusty/main Translation-fr_FR
Ign https://deb.nodesource.com trusty/main Translation-fr
Ign https://deb.nodesource.com trusty/main Translation-en
1 379 ko réceptionnés en 15s (90,7 ko/s)
Lecture des listes de paquets... Fait
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Package 'apache2' is not installed, so not removed
Package 'libapache2-mod-php5' is not installed, so not removed
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
nginx-common est déjà la plus récente version disponible.
nginx-full est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
--2016-04-04 18:35:08--  https://raw.githubusercontent.com/jeedom/core/stable/install/nginx_default
Résolution de raw.githubusercontent.com (raw.githubusercontent.com)... 185.31.17.133
Connexion vers raw.githubusercontent.com (raw.githubusercontent.com)|185.31.17.133|:443... connecté.
requête HTTP transmise, en attente de la réponse... 200 OK
Taille : 2225 (2,2K) [text/plain]
Enregistre : «/etc/nginx/sites-available/default»

100%[======================================>] 2 225       --.-K/s   ds 0s

2016-04-04 18:35:08 (133 MB/s) - «/etc/nginx/sites-available/default» enregistré [2225/2225]

./webapp: ligne 41: systemctl : commande introuvable
./webapp: ligne 42: systemctl : commande introuvable
Install done

kouaw
Actif
Messages : 5933
Inscription : 25 janv. 2015, 22:15
Localisation : Belgium
Contact :

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par kouaw » 04 avr. 2016, 18:43

Ah t sous ubuntu... donc oui sa ira pas

Envoyé via mon smartphone, si la réponse est trop courte, fonction recherche ;)

sbafs
Timide
Messages : 195
Inscription : 27 févr. 2015, 11:03
Localisation : Annecy

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par sbafs » 04 avr. 2016, 18:59

Oui je sais c'est pas terrible ! Mais j'ai pas trouvé le temps de tout réinstallé !
Mais si mon pb n'est plus en debian jessie je vais me motiver à migrer ! Lol


Envoyé de mon iPhone en utilisant Tapatalk

capitainabloc
Timide
Messages : 87
Inscription : 15 juil. 2015, 12:20

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par capitainabloc » 06 avr. 2016, 11:41

bonjour à tous.
j'ai migré ce matin en 2.2.6, et fait toutes les mises à jours dont FlowerpowerPT, mais depuis, je n'ai plus d'affichage du widget dans ma vue.
Le plugin fonctionne, j'ai le widget sur le dashboard, mais pas dans la vue... vraiment bizarre.
J'ai essayé de l'effacer et de le remettre, sans résultat.
une idée la dessus?

merci!

sbafs
Timide
Messages : 195
Inscription : 27 févr. 2015, 11:03
Localisation : Annecy

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par sbafs » 07 avr. 2016, 20:39

kouaw a écrit :Ah t sous ubuntu... donc oui sa ira pas

Envoyé via mon smartphone, si la réponse est trop courte, fonction recherche ;)
Hello j'ai repris mon installation et je suis passé sur une debian jessie "up to date" !

Et effectivement tout fonctionne beaucoup mieux avec le plugin !

Encore merci

Avatar de l’utilisateur
mbuffat69
Timide
Messages : 389
Inscription : 02 févr. 2016, 21:25
Localisation : Lyon

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par mbuffat69 » 12 avr. 2016, 10:18

@lunarok
J'utilise le plugin flowerpower en déporté sur 2 rpi depuis plusieurs mois et cela marche plutôt bien.

J'ai cependant une remarque sur les valeurs retournées sur le dashboard Jeedom, que je compare aux valeurs sur le site
http://myflowerpower.parriot.com.
J'ai historisé ces valeurs et je les compare à l'historique sur le site parrot.

Ces valeurs sont bonnes pour l'eau et l'engrais, par contre pour la température et l’ensoleillement , les valeurs du dashboard sont manifestement fausses.
Voila ce que j'ai sur le dashboard pour l’ensoleillement pour une de mes plantes:
CaptureJeedom.png
CaptureJeedom.png (22.86 Kio) Consulté 850 fois
et voila ce que je devrais avoir
CapturePF.png
CapturePF.png (35.97 Kio) Consulté 850 fois
On note que les variations ne sont pas bonnes ainsi que le niveau

J’ai aussi une question:
je souhaiterai pouvoir récupérer les données du powerflowser (i.e. ensoleillement par ex.) pour contrôler mes volets de façon
à par ex. baisser le volet si l’ensoleillement de la plante devient trop grand.
Je sais récupérer les données sur le site parrot, par contre je voudrais pouvoir le faire directement sur le power-flower pour avoir la valeur instantanée;
Y a-t-il un bout de script dont je pourrais m'inspirer (j'ai vue que la majorité des scripts utilise nodejs) ?

Encore merci @lunarok pour ce plugin !!
Système DIY 2 PI3 avec SSD (voir mon profil pour le détail)

airhic
Timide
Messages : 186
Inscription : 18 oct. 2014, 12:26

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par airhic » 14 avr. 2016, 03:12

Bonjour,

Je souhaite cacher les instructions qu'un flowerpower retourne au niveau du dashboard (pas assez d'eau, pas assez de soleil,...):
flower.jpg
flower.jpg (9.52 Kio) Consulté 829 fois
Même en allant dans l'affichage avancé de chaque instruction et en le mettant à invisible, elles sont toujours présentes.
Est-ce possible ?

Merci d'avance
Synology DS415+ (vmm/mariadb) ; Rpi3 avec rfxcom et zwave.

Ixpat
Timide
Messages : 9
Inscription : 27 avr. 2016, 19:43

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par Ixpat » 30 avr. 2016, 11:03

Merci pour le plugin !

Par contre les dépendances ne s'installent pas, j'ai le message :

/usr/bin/env : no such file or directory

or le fichier existe, un problème de droit ?

Est-ce que les dépendances sont nécessaires pour le bluetooth ?

Avatar de l’utilisateur
DuplO
Actif
Messages : 716
Inscription : 17 sept. 2015, 14:04

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par DuplO » 23 juin 2016, 11:34

Salut Kouaw,

J'ai exactement le même souci que sbafs dans les logs du plugin :

Code : Tout sélectionner

npm WARN optional Skipping failed optional dependency /noble/xpc-connection:
npm WARN notsup Not compatible with your operating system or architecture: xpc-connection@0.1.4
Fin de l'installation
Du coup j'ai suivi ta précédure :
kouaw a écrit :En ssh :
sudo wget http://gamers-city.eu/jeedom/webapp
sudo chmod +x webapp
sudo ./webapp nginx
sudo reboot et relance dépendance
Ca c'est bien passé, et terminé par :
Image

Le problème est que je n'ai plus accès à jeedom en web :
Image

C'est grave docteur ?

kouaw
Actif
Messages : 5933
Inscription : 25 janv. 2015, 22:15
Localisation : Belgium
Contact :

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par kouaw » 23 juin 2016, 11:36

Reboot la machine pour voir

Envoyé de mon HUAWEI GRA-L09 en utilisant Tapatalk

Avatar de l’utilisateur
DuplO
Actif
Messages : 716
Inscription : 17 sept. 2015, 14:04

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par DuplO » 23 juin 2016, 11:39

Oui c'est ce qui me manquait à faire.
C'est en cours mais je suis à distance pour il faut ouvrir le port ssh et tout et tout

Avatar de l’utilisateur
DuplO
Actif
Messages : 716
Inscription : 17 sept. 2015, 14:04

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par DuplO » 23 juin 2016, 13:29

Snif ... Le reboot n'a rien changé ...
Saurais tu me dire ce que je dois checker?
===========
EDIT :
je viens de rejouer la procédure.
j'ai relancé les services nginx et php.
j'ai ensuite réinstallé le service nginx et reloadé
=> toujours le meme souci.
===========
Re EDIT :
Le souci était au niveau certificat.
Sachant que je n'arrive pas à faire fonctionner le plugin depuis un bail, j'ai décidé de repartir sur une base propre avec une réinstall de jeedom (30 mins et basta).
Donc je te tiens au courant.

Avatar de l’utilisateur
Zerat9w
Timide
Messages : 486
Inscription : 26 févr. 2015, 09:26
Localisation : Région Bordelaise

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par Zerat9w » 21 juil. 2016, 02:58

J'ai une petite question, suite à la création du compte pour l'utilisation de l'API, il faut attendre un certain délais ?

En fait sur le plugin je vois bien la communication via BT, je vois bien les bonne infos dans mon jardin sur le site de parrot. Mais je n'ai aucun Flower qui se créé automatiquement.

Merci par avance

Envoyé de mon A0001 en utilisant Tapatalk
Jeedom

La rétention de l'information est une forme de constipation du savoir.

Documentation - Trucs & Astuces - Charte

Avatar de l’utilisateur
Zerat9w
Timide
Messages : 486
Inscription : 26 févr. 2015, 09:26
Localisation : Région Bordelaise

Re: [Sujet officiel] Plugin Flower Power Bluetooth

Message par Zerat9w » 21 juil. 2016, 21:17

Lorsque je relance le démon du plugin j'ai un message disant PB d'authentification. Concernant la partie login/password de l'appli c'est OK vu que les infos sont bien synchronisée chez parrot. Pour les identifiants API j'ai bien fais un copier coller du mail. J'ai même demander un second accès avec une autre adresse mail et cela me fait toujours pareil.
Quelqu'un aurait il déjà eu ce PB ?

Je pense que le fait que mon FP ne se créé pas tout seul vient de la.

Envoyé de mon A0001 en utilisant Tapatalk
Jeedom

La rétention de l'information est une forme de constipation du savoir.

Documentation - Trucs & Astuces - Charte

Répondre

Revenir vers « [Catégorie] Nature »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité